Bug 26545 - pls add feature: authentication NT Domain
pls add feature: authentication NT Domain
Product: Red Hat Linux
Classification: Retired
Component: authconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: FutureFeature
: 26546 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-07 17:00 EST by stephan schutter
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-07 20:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description stephan schutter 2001-02-07 17:00:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; MSN 6.0)

A neat feature during RH 7.x setup is that you may choose method of 
authentication (NIS, LDAP (cool!), Hesiod (????).

Reproducible: Always
Steps to Reproduce:
1. Just run RH setup on version greater than 6.2

Actual Results:  You may choose method of authentication (NIS, LDAP 
(cool!), Hesiod (????).

Expected Results:  NT 4.0 Domain authentication would be an extremely 
usefull choice, not to mention an Active Directory choice (LDAP really but 
slightly modified by MS).

Atleast 98% of all networks that I have seen so far use either NT Domain 
Authentication or Active Directory (60+ Small businesses in the Twin 
Citties Area, Rainier Tech., Anderen Windows, NSP, NRG, Target). In fact 
most of these organizations use NT or AD only. However, in light of 
Microsoft's recent Licensing and the fact that upgrades will now be forced 
every 4 years, since a new windows will hit the market every 24 months, 
and they only support n -1 versions, the cost of MS software is becoming 
prohibitive. This has caused several of these aforementioned organizations 
to take a closer look at OpenSource alternatives... Including mine. Now 
why not make it easy to include LINUX? Some of these organisations have 40 
000 or more users... Being able to use the existing authentication model 
is a significant leverage in to an organisation....
Comment 1 Bill Nottingham 2001-02-07 20:47:34 EST
*** Bug 26546 has been marked as a duplicate of this bug. ***
Comment 2 Nalin Dahyabhai 2001-02-08 19:21:51 EST
The authconfig tool only configures other packages (nss_ldap, pam_krb5, glibc's
libnss_hesiod.so, and so on).

At the moment we don't have the client pieces needed to support logging into an
NT domain in the distribution, though the winbind support which is slated for
Samba 2.2 (http://us1.samba.org/samba/development.html) looks like it will
provide these pieces.

When we looked at it for the 7 release, it was already pretty far along, but it
hadn't had an official release yet.

I'm going to defer this bug until winbind is officially released.

Note You need to log in before you can comment on or make changes to this bug.